Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.common.namedRecordPipe
Enum Broker

    java.lang.Object
      java.lang.Enum<Broker>
          kieker.common.namedRecordPipe.Broker

All Implemented Interfaces:
  Serializable, Comparable<Broker>

    public enum Broker

extends Enum<Broker>

Since:
  1.3
Author:
  Andre van Hoorn, Jan Waller

Enum Constant Summary
`INSTANCE` This is the singleton instance.

Method Summary
`Pipe` | `acquirePipe(String pipeName)` Returns a connection with name `pipeName`.
`static Broker` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Broker[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSTANCE

    public static final Broker INSTANCE

  This is the singleton instance.

Method Detail

### values

    public static Broker[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Broker c : Broker.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Broker valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### acquirePipe

    public Pipe acquirePipe(String pipeName)
                     throws IllegalArgumentException

  Returns a connection with name `pipeName`. If a connection with this name does not exist prior to the call, it is created.

  Parameters:
    `pipeName` - The name of the pipe.
  Returns:
    The acquired pipe.
  Throws:
    `IllegalArgumentException` - If the pipe name is null or empty.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net